Bug 12404 - vfs_gluster needs to deal with glfs_realpath allocation
vfs_gluster needs to deal with glfs_realpath allocation
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-02 09:40 UTC by Guenther Deschner
Modified: 2016-11-14 11:30 UTC (History)
3 users (show)

See Also:


Attachments
patch from master (1.43 KB, application/mbox)
2016-11-02 09:43 UTC, Guenther Deschner
gd: review+
Details
patch from master (including cherry pick info) (1.49 KB, patch)
2016-11-02 10:47 UTC, Guenther Deschner
obnox: review+
gd: review? (ira)
gd: review+
Details
patch cherry-picked -x from master for v4-4-test (1.44 KB, patch)
2016-11-08 10:37 UTC, Guenther Deschner
no flags Details
patch cherry-picked -x from v-4-5-test for v4-4-test with bug comment (1.62 KB, patch)
2016-11-08 10:40 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-11-02 09:40:38 UTC
A fix for this has been already pushed to master
Comment 1 Guenther Deschner 2016-11-02 09:43:01 UTC
Created attachment 12625 [details]
patch from master
Comment 2 Guenther Deschner 2016-11-02 10:47:31 UTC
Created attachment 12626 [details]
patch from master (including cherry pick info)
Comment 3 Guenther Deschner 2016-11-04 12:06:49 UTC
Karolin, please add to 4.4 and 4.5
Comment 4 Karolin Seeger 2016-11-07 07:57:49 UTC
(In reply to Guenther Deschner from comment #3)
Pushed to autobuild-v4-5-test.

Patch does not apply on current v4-4-test:
user@host:/data/git/samba/v4-4-test$ git am ../v4-5-test/patchv2
Applying: vfs:glusterfs: preallocate result for glfs_realpath
error: patch failed: source3/modules/vfs_glusterfs.c:1036
error: source3/modules/vfs_glusterfs.c: patch does not apply@carrie:/data/git/samba/v4-4-test$ git am ../v4-5-test/patchv2

Re-assigning to Günther.
Comment 5 Guenther Deschner 2016-11-08 10:37:06 UTC
Strange, I could just cherry-pick the change from master w/o any problems. I re-attach my v4-5-test variant.
Comment 6 Guenther Deschner 2016-11-08 10:37:43 UTC
Created attachment 12631 [details]
patch cherry-picked -x from master for v4-4-test
Comment 7 Guenther Deschner 2016-11-08 10:40:24 UTC
Created attachment 12632 [details]
patch cherry-picked -x from v-4-5-test for v4-4-test with bug comment
Comment 8 Guenther Deschner 2016-11-08 10:41:21 UTC
Karolin, could you please try again?
Comment 9 Karolin Seeger 2016-11-08 10:58:43 UTC
(In reply to Guenther Deschner from comment #8)
Still does not apply.
Comment 10 Karolin Seeger 2016-11-08 11:00:16 UTC
(In reply to Karolin Seeger from comment #9)
Applies, sorry.
Pushed to autobuild-v4-4-test.
Comment 11 Karolin Seeger 2016-11-14 11:30:02 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!